Package org.eclipse.birt.chart.model.attribute.impl

# Class AttributePackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.birt.chart.model.attribute.impl.AttributePackageImpl

All Implemented Interfaces:
  `AttributePackage`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class AttributePackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl implements AttributePackage
An implementation of the model Package .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.birt.chart.model.attribute.AttributePackage

`AttributePackage.Literals`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.model.attribute.AttributePackage

`ACCESSIBILITY_VALUE, ACCESSIBILITY_VALUE__ACCESSIBILITY, ACCESSIBILITY_VALUE__LABEL, ACCESSIBILITY_VALUE__TEXT, ACCESSIBILITY_VALUE_FEATURE_COUNT, ACTION_TYPE, ACTION_TYPE_OBJECT, ACTION_VALUE, ACTION_VALUE__LABEL, ACTION_VALUE_FEATURE_COUNT, ANCHOR, ANCHOR_OBJECT, ANGLE_TYPE, ANGLE_TYPE_OBJECT, ANGLE3_D, ANGLE3_D__TYPE, ANGLE3_D__XANGLE, ANGLE3_D__YANGLE, ANGLE3_D__ZANGLE, ANGLE3_D_FEATURE_COUNT, AXIS_ORIGIN, AXIS_ORIGIN__TYPE, AXIS_ORIGIN__VALUE, AXIS_ORIGIN_FEATURE_COUNT, AXIS_TYPE, AXIS_TYPE_OBJECT, BOUNDS, BOUNDS__HEIGHT, BOUNDS__LEFT, BOUNDS__TOP, BOUNDS__WIDTH, BOUNDS_FEATURE_COUNT, CALL_BACK_VALUE, CALL_BACK_VALUE__IDENTIFIER, CALL_BACK_VALUE__LABEL, CALL_BACK_VALUE_FEATURE_COUNT, CHART_DIMENSION, CHART_DIMENSION_OBJECT, CHART_TYPE, CHART_TYPE_OBJECT, COLOR_DEFINITION, COLOR_DEFINITION__BLUE, COLOR_DEFINITION__GREEN, COLOR_DEFINITION__RED, COLOR_DEFINITION__TRANSPARENCY, COLOR_DEFINITION__TYPE, COLOR_DEFINITION_FEATURE_COUNT, CURSOR, CURSOR__IMAGE, CURSOR__TYPE, CURSOR_FEATURE_COUNT, CURSOR_TYPE, CURSOR_TYPE_OBJECT, DATA_POINT, DATA_POINT__COMPONENTS, DATA_POINT__PREFIX, DATA_POINT__SEPARATOR, DATA_POINT__SUFFIX, DATA_POINT_COMPONENT, DATA_POINT_COMPONENT__FORMAT_SPECIFIER, DATA_POINT_COMPONENT__ORTHOGONAL_TYPE, DATA_POINT_COMPONENT__TYPE, DATA_POINT_COMPONENT_FEATURE_COUNT, DATA_POINT_COMPONENT_TYPE, DATA_POINT_COMPONENT_TYPE_OBJECT, DATA_POINT_FEATURE_COUNT, DATA_TYPE, DATA_TYPE_OBJECT, DATE_FORMAT_DETAIL, DATE_FORMAT_DETAIL_OBJECT, DATE_FORMAT_SPECIFIER, DATE_FORMAT_SPECIFIER__DETAIL, DATE_FORMAT_SPECIFIER__TYPE, DATE_FORMAT_SPECIFIER_FEATURE_COUNT, DATE_FORMAT_TYPE, DATE_FORMAT_TYPE_OBJECT, DIRECTION, DIRECTION_OBJECT, eINSTANCE, EMBEDDED_IMAGE, EMBEDDED_IMAGE__DATA, EMBEDDED_IMAGE__SOURCE, EMBEDDED_IMAGE__TYPE, EMBEDDED_IMAGE__URL, EMBEDDED_IMAGE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, ESTRING_TO_STRING_MAP_ENTRY, ESTRING_TO_STRING_MAP_ENTRY__KEY, ESTRING_TO_STRING_MAP_ENTRY__VALUE, ESTRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT, EXTENDED_PROPERTY, EXTENDED_PROPERTY__NAME, EXTENDED_PROPERTY__VALUE, EXTENDED_PROPERTY_FEATURE_COUNT, FILL, FILL__TYPE, FILL_FEATURE_COUNT, FONT_DEFINITION, FONT_DEFINITION__ALIGNMENT, FONT_DEFINITION__BOLD, FONT_DEFINITION__ITALIC, FONT_DEFINITION__NAME, FONT_DEFINITION__ROTATION, FONT_DEFINITION__SIZE, FONT_DEFINITION__STRIKETHROUGH, FONT_DEFINITION__UNDERLINE, FONT_DEFINITION__WORD_WRAP, FONT_DEFINITION_FEATURE_COUNT, FORMAT_SPECIFIER, FORMAT_SPECIFIER_FEATURE_COUNT, FRACTION_NUMBER_FORMAT_SPECIFIER, FRACTION_NUMBER_FORMAT_SPECIFIER__DELIMITER, FRACTION_NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS, FRACTION_NUMBER_FORMAT_SPECIFIER__NUMERATOR, FRACTION_NUMBER_FORMAT_SPECIFIER__PRECISE, FRACTION_NUMBER_FORMAT_SPECIFIER__PREFIX, FRACTION_NUMBER_FORMAT_SPECIFIER__SUFFIX, FRACTION_NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT, GRADIENT, GRADIENT__CYCLIC, GRADIENT__DIRECTION, GRADIENT__END_COLOR, GRADIENT__START_COLOR, GRADIENT__TRANSPARENCY, GRADIENT__TYPE, GRADIENT_FEATURE_COUNT, GROUPING_UNIT_TYPE, GROUPING_UNIT_TYPE_OBJECT, HORIZONTAL_ALIGNMENT, HORIZONTAL_ALIGNMENT_OBJECT, ID, IMAGE, IMAGE__SOURCE, IMAGE__TYPE, IMAGE__URL, IMAGE_FEATURE_COUNT, IMAGE_SOURCE_TYPE, IMAGE_SOURCE_TYPE_OBJECT, INSETS, INSETS__BOTTOM, INSETS__LEFT, INSETS__RIGHT, INSETS__TOP, INSETS_FEATURE_COUNT, INTERACTIVITY, INTERACTIVITY__ENABLE, INTERACTIVITY__LEGEND_BEHAVIOR, INTERACTIVITY_FEATURE_COUNT, INTERSECTION_TYPE, INTERSECTION_TYPE_OBJECT, JAVA_DATE_FORMAT_SPECIFIER, JAVA_DATE_FORMAT_SPECIFIER__PATTERN, JAVA_DATE_FORMAT_SPECIFIER_FEATURE_COUNT, JAVA_NUMBER_FORMAT_SPECIFIER, JAVA_NUMBER_FORMAT_SPECIFIER__MULTIPLIER, JAVA_NUMBER_FORMAT_SPECIFIER__PATTERN, JAVA_NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT, LEADER_LINE_STYLE, LEADER_LINE_STYLE_OBJECT, LEGEND_BEHAVIOR_TYPE, LEGEND_BEHAVIOR_TYPE_OBJECT, LEGEND_ITEM_TYPE, LEGEND_ITEM_TYPE_OBJECT, LINE_ATTRIBUTES, LINE_ATTRIBUTES__COLOR, LINE_ATTRIBUTES__STYLE, LINE_ATTRIBUTES__THICKNESS, LINE_ATTRIBUTES__VISIBLE, LINE_ATTRIBUTES_FEATURE_COUNT, LINE_DECORATOR, LINE_DECORATOR_OBJECT, LINE_STYLE, LINE_STYLE_OBJECT, LOCATION, LOCATION__X, LOCATION__Y, LOCATION_FEATURE_COUNT, LOCATION3_D, LOCATION3_D__X, LOCATION3_D__Y, LOCATION3_D__Z, LOCATION3_D_FEATURE_COUNT, MARKER, MARKER__FILL, MARKER__ICON_PALETTE, MARKER__OUTLINE, MARKER__SIZE, MARKER__TYPE, MARKER__VISIBLE, MARKER_FEATURE_COUNT, MARKER_TYPE, MARKER_TYPE_OBJECT, MENU_STYLES_KEY_TYPE, MENU_STYLES_KEY_TYPE_OBJECT, MULTI_URL_VALUES, MULTI_URL_VALUES__LABEL, MULTI_URL_VALUES__PROPERTIES_MAP, MULTI_URL_VALUES__TOOLTIP, MULTI_URL_VALUES__URL_VALUES, MULTI_URL_VALUES_FEATURE_COUNT, MULTIPLE_FILL, MULTIPLE_FILL__FILLS, MULTIPLE_FILL__TYPE, MULTIPLE_FILL_FEATURE_COUNT, NUMBER_FORMAT_SPECIFIER, NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS, NUMBER_FORMAT_SPECIFIER__MULTIPLIER, NUMBER_FORMAT_SPECIFIER__PREFIX, NUMBER_FORMAT_SPECIFIER__SUFFIX, NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT, ORIENTATION, ORIENTATION_OBJECT, PALETTE, PALETTE__ENTRIES, PALETTE__NAME, PALETTE_FEATURE_COUNT, PATTERN_BITMAP, PATTERN_BITMAP_OBJECT, PATTERN_IMAGE, PATTERN_IMAGE__BACK_COLOR, PATTERN_IMAGE__BITMAP, PATTERN_IMAGE__FORE_COLOR, PATTERN_IMAGE__SOURCE, PATTERN_IMAGE__TYPE, PATTERN_IMAGE__URL, PATTERN_IMAGE_FEATURE_COUNT, PERCENTAGE, PERCENTAGE_OBJECT, POSITION, POSITION_OBJECT, RGB_VALUE, RGB_VALUE_OBJECT, RISER_TYPE, RISER_TYPE_OBJECT, ROTATION3_D, ROTATION3_D__ANGLES, ROTATION3_D_FEATURE_COUNT, RULE_TYPE, RULE_TYPE_OBJECT, SCALE_UNIT_TYPE, SCALE_UNIT_TYPE_OBJECT, SCRIPT_VALUE, SCRIPT_VALUE__LABEL, SCRIPT_VALUE__SCRIPT, SCRIPT_VALUE_FEATURE_COUNT, SERIES_VALUE, SERIES_VALUE__LABEL, SERIES_VALUE__NAME, SERIES_VALUE_FEATURE_COUNT, SIZE, SIZE__HEIGHT, SIZE__WIDTH, SIZE_FEATURE_COUNT, SORT_OPTION, SORT_OPTION_OBJECT, STRETCH, STRETCH_OBJECT, STRING_FORMAT_SPECIFIER, STRING_FORMAT_SPECIFIER__PATTERN, STRING_FORMAT_SPECIFIER_FEATURE_COUNT, STYLE, STYLE__BACKGROUND_COLOR, STYLE__BACKGROUND_IMAGE, STYLE__COLOR, STYLE__FONT, STYLE__PADDING, STYLE_FEATURE_COUNT, STYLE_MAP, STYLE_MAP__COMPONENT_NAME, STYLE_MAP__STYLE, STYLE_MAP_FEATURE_COUNT, STYLED_COMPONENT, STYLED_COMPONENT_OBJECT, TEXT, TEXT__COLOR, TEXT__FONT, TEXT__VALUE, TEXT_ALIGNMENT, TEXT_ALIGNMENT__HORIZONTAL_ALIGNMENT, TEXT_ALIGNMENT__VERTICAL_ALIGNMENT, TEXT_ALIGNMENT_FEATURE_COUNT, TEXT_FEATURE_COUNT, TICK_STYLE, TICK_STYLE_OBJECT, TOOLTIP_VALUE, TOOLTIP_VALUE__DELAY, TOOLTIP_VALUE__FORMAT_SPECIFIER, TOOLTIP_VALUE__LABEL, TOOLTIP_VALUE__TEXT, TOOLTIP_VALUE_FEATURE_COUNT, TRIGGER_CONDITION, TRIGGER_CONDITION_OBJECT, TRIGGER_FLOW, TRIGGER_FLOW_OBJECT, UNITS_OF_MEASUREMENT, UNITS_OF_MEASUREMENT_OBJECT, URL_VALUE, URL_VALUE__BASE_PARAMETER_NAME, URL_VALUE__BASE_URL, URL_VALUE__LABEL, URL_VALUE__SERIES_PARAMETER_NAME, URL_VALUE__TARGET, URL_VALUE__TOOLTIP, URL_VALUE__VALUE_PARAMETER_NAME, URL_VALUE_FEATURE_COUNT, VERTICAL_ALIGNMENT, VERTICAL_ALIGNMENT_OBJECT`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getAccessibilityValue()`
`org.eclipse.emf.ecore.EAttribute`
`getAccessibilityValue_Accessibility()`
`org.eclipse.emf.ecore.EAttribute`
`getAccessibilityValue_Text()`
`org.eclipse.emf.ecore.EEnum`
`getActionType()`
`org.eclipse.emf.ecore.EDataType`
`getActionTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getActionValue()`
`org.eclipse.emf.ecore.EReference`
`getActionValue_Label()`
`org.eclipse.emf.ecore.EEnum`
`getAnchor()`
`org.eclipse.emf.ecore.EDataType`
`getAnchorObject()`
`org.eclipse.emf.ecore.EClass`
`getAngle3D()`
`org.eclipse.emf.ecore.EAttribute`
`getAngle3D_Type()`
`org.eclipse.emf.ecore.EAttribute`
`getAngle3D_XAngle()`
`org.eclipse.emf.ecore.EAttribute`
`getAngle3D_YAngle()`
`org.eclipse.emf.ecore.EAttribute`
`getAngle3D_ZAngle()`
`org.eclipse.emf.ecore.EEnum`
`getAngleType()`
`org.eclipse.emf.ecore.EDataType`
`getAngleTypeObject()`
`AttributeFactory`
`getAttributeFactory()`
`org.eclipse.emf.ecore.EClass`
`getAxisOrigin()`
`org.eclipse.emf.ecore.EAttribute`
`getAxisOrigin_Type()`
`org.eclipse.emf.ecore.EReference`
`getAxisOrigin_Value()`
`org.eclipse.emf.ecore.EEnum`
`getAxisType()`
`org.eclipse.emf.ecore.EDataType`
`getAxisTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getBounds()`
`org.eclipse.emf.ecore.EAttribute`
`getBounds_Height()`
`org.eclipse.emf.ecore.EAttribute`
`getBounds_Left()`
`org.eclipse.emf.ecore.EAttribute`
`getBounds_Top()`
`org.eclipse.emf.ecore.EAttribute`
`getBounds_Width()`
`org.eclipse.emf.ecore.EClass`
`getCallBackValue()`
`org.eclipse.emf.ecore.EAttribute`
`getCallBackValue_Identifier()`
`org.eclipse.emf.ecore.EEnum`
`getChartDimension()`
`org.eclipse.emf.ecore.EDataType`
`getChartDimensionObject()`
`org.eclipse.emf.ecore.EEnum`
`getChartType()`
`org.eclipse.emf.ecore.EDataType`
`getChartTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getColorDefinition()`
`org.eclipse.emf.ecore.EAttribute`
`getColorDefinition_Blue()`
`org.eclipse.emf.ecore.EAttribute`
`getColorDefinition_Green()`
`org.eclipse.emf.ecore.EAttribute`
`getColorDefinition_Red()`
`org.eclipse.emf.ecore.EAttribute`
`getColorDefinition_Transparency()`
`org.eclipse.emf.ecore.EClass`
`getCursor()`
`org.eclipse.emf.ecore.EReference`
`getCursor_Image()`
`org.eclipse.emf.ecore.EAttribute`
`getCursor_Type()`
`org.eclipse.emf.ecore.EEnum`
`getCursorType()`
`org.eclipse.emf.ecore.EDataType`
`getCursorTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getDataPoint()`
`org.eclipse.emf.ecore.EReference`
`getDataPoint_Components()`
`org.eclipse.emf.ecore.EAttribute`
`getDataPoint_Prefix()`
`org.eclipse.emf.ecore.EAttribute`
`getDataPoint_Separator()`
`org.eclipse.emf.ecore.EAttribute`
`getDataPoint_Suffix()`
`org.eclipse.emf.ecore.EClass`
`getDataPointComponent()`
`org.eclipse.emf.ecore.EReference`
`getDataPointComponent_FormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getDataPointComponent_OrthogonalType()`
`org.eclipse.emf.ecore.EAttribute`
`getDataPointComponent_Type()`
`org.eclipse.emf.ecore.EEnum`
`getDataPointComponentType()`
`org.eclipse.emf.ecore.EDataType`
`getDataPointComponentTypeObject()`
`org.eclipse.emf.ecore.EEnum`
`getDataType()`
`org.eclipse.emf.ecore.EDataType`
`getDataTypeObject()`
`org.eclipse.emf.ecore.EEnum`
`getDateFormatDetail()`
`org.eclipse.emf.ecore.EDataType`
`getDateFormatDetailObject()`
`org.eclipse.emf.ecore.EClass`
`getDateFormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getDateFormatSpecifier_Detail()`
`org.eclipse.emf.ecore.EAttribute`
`getDateFormatSpecifier_Type()`
`org.eclipse.emf.ecore.EEnum`
`getDateFormatType()`
`org.eclipse.emf.ecore.EDataType`
`getDateFormatTypeObject()`
`org.eclipse.emf.ecore.EEnum`
`getDirection()`
`org.eclipse.emf.ecore.EDataType`
`getDirectionObject()`
`org.eclipse.emf.ecore.EClass`
`getEmbeddedImage()`
`org.eclipse.emf.ecore.EAttribute`
`getEmbeddedImage_Data()`
`org.eclipse.emf.ecore.EClass`
`getEStringToStringMapEntry()`
`org.eclipse.emf.ecore.EAttribute`
`getEStringToStringMapEntry_Key()`
`org.eclipse.emf.ecore.EAttribute`
`getEStringToStringMapEntry_Value()`
`org.eclipse.emf.ecore.EClass`
`getExtendedProperty()`
`org.eclipse.emf.ecore.EAttribute`
`getExtendedProperty_Name()`
`org.eclipse.emf.ecore.EAttribute`
`getExtendedProperty_Value()`
`org.eclipse.emf.ecore.EClass`
`getFill()`
`org.eclipse.emf.ecore.EAttribute`
`getFill_Type()`
`org.eclipse.emf.ecore.EClass`
`getFontDefinition()`
`org.eclipse.emf.ecore.EReference`
`getFontDefinition_Alignment()`
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Bold()`
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Italic()`
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Name()`
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Rotation()`
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Size()`
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Strikethrough()`
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Underline()`
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_WordWrap()`
`org.eclipse.emf.ecore.EClass`
`getFormatSpecifier()`
`org.eclipse.emf.ecore.EClass`
`getFractionNumberFormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Delimiter()`
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_FractionDigits()`
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Numerator()`
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Precise()`
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Prefix()`
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Suffix()`
`org.eclipse.emf.ecore.EClass`
`getGradient()`
`org.eclipse.emf.ecore.EAttribute`
`getGradient_Cyclic()`
`org.eclipse.emf.ecore.EAttribute`
`getGradient_Direction()`
`org.eclipse.emf.ecore.EReference`
`getGradient_EndColor()`
`org.eclipse.emf.ecore.EReference`
`getGradient_StartColor()`
`org.eclipse.emf.ecore.EAttribute`
`getGradient_Transparency()`
`org.eclipse.emf.ecore.EEnum`
`getGroupingUnitType()`
`org.eclipse.emf.ecore.EDataType`
`getGroupingUnitTypeObject()`
`org.eclipse.emf.ecore.EEnum`
`getHorizontalAlignment()`
`org.eclipse.emf.ecore.EDataType`
`getHorizontalAlignmentObject()`
`org.eclipse.emf.ecore.EDataType`
`getID()`
`org.eclipse.emf.ecore.EClass`
`getImage()`
`org.eclipse.emf.ecore.EAttribute`
`getImage_Source()`
`org.eclipse.emf.ecore.EAttribute`
`getImage_URL()`
`org.eclipse.emf.ecore.EEnum`
`getImageSourceType()`
`org.eclipse.emf.ecore.EDataType`
`getImageSourceTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getInsets()`
`org.eclipse.emf.ecore.EAttribute`
`getInsets_Bottom()`
`org.eclipse.emf.ecore.EAttribute`
`getInsets_Left()`
`org.eclipse.emf.ecore.EAttribute`
`getInsets_Right()`
`org.eclipse.emf.ecore.EAttribute`
`getInsets_Top()`
`org.eclipse.emf.ecore.EClass`
`getInteractivity()`
`org.eclipse.emf.ecore.EAttribute`
`getInteractivity_Enable()`
`org.eclipse.emf.ecore.EAttribute`
`getInteractivity_LegendBehavior()`
`org.eclipse.emf.ecore.EEnum`
`getIntersectionType()`
`org.eclipse.emf.ecore.EDataType`
`getIntersectionTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getJavaDateFormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getJavaDateFormatSpecifier_Pattern()`
`org.eclipse.emf.ecore.EClass`
`getJavaNumberFormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getJavaNumberFormatSpecifier_Multiplier()`
`org.eclipse.emf.ecore.EAttribute`
`getJavaNumberFormatSpecifier_Pattern()`
`org.eclipse.emf.ecore.EEnum`
`getLeaderLineStyle()`
`org.eclipse.emf.ecore.EDataType`
`getLeaderLineStyleObject()`
`org.eclipse.emf.ecore.EEnum`
`getLegendBehaviorType()`
`org.eclipse.emf.ecore.EDataType`
`getLegendBehaviorTypeObject()`
`org.eclipse.emf.ecore.EEnum`
`getLegendItemType()`
`org.eclipse.emf.ecore.EDataType`
`getLegendItemTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getLineAttributes()`
`org.eclipse.emf.ecore.EReference`
`getLineAttributes_Color()`
`org.eclipse.emf.ecore.EAttribute`
`getLineAttributes_Style()`
`org.eclipse.emf.ecore.EAttribute`
`getLineAttributes_Thickness()`
`org.eclipse.emf.ecore.EAttribute`
`getLineAttributes_Visible()`
`org.eclipse.emf.ecore.EEnum`
`getLineDecorator()`
`org.eclipse.emf.ecore.EDataType`
`getLineDecoratorObject()`
`org.eclipse.emf.ecore.EEnum`
`getLineStyle()`
`org.eclipse.emf.ecore.EDataType`
`getLineStyleObject()`
`org.eclipse.emf.ecore.EClass`
`getLocation()`
`org.eclipse.emf.ecore.EAttribute`
`getLocation_X()`
`org.eclipse.emf.ecore.EAttribute`
`getLocation_Y()`
`org.eclipse.emf.ecore.EClass`
`getLocation3D()`
`org.eclipse.emf.ecore.EAttribute`
`getLocation3D_Z()`
`org.eclipse.emf.ecore.EClass`
`getMarker()`
`org.eclipse.emf.ecore.EReference`
`getMarker_Fill()`
`org.eclipse.emf.ecore.EReference`
`getMarker_IconPalette()`
`org.eclipse.emf.ecore.EReference`
`getMarker_Outline()`
`org.eclipse.emf.ecore.EAttribute`
`getMarker_Size()`
`org.eclipse.emf.ecore.EAttribute`
`getMarker_Type()`
`org.eclipse.emf.ecore.EAttribute`
`getMarker_Visible()`
`org.eclipse.emf.ecore.EEnum`
`getMarkerType()`
`org.eclipse.emf.ecore.EDataType`
`getMarkerTypeObject()`
`org.eclipse.emf.ecore.EEnum`
`getMenuStylesKeyType()`
`org.eclipse.emf.ecore.EDataType`
`getMenuStylesKeyTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getMultipleFill()`
`org.eclipse.emf.ecore.EReference`
`getMultipleFill_Fills()`
`org.eclipse.emf.ecore.EClass`
`getMultiURLValues()`
`org.eclipse.emf.ecore.EReference`
`getMultiURLValues_PropertiesMap()`
`org.eclipse.emf.ecore.EAttribute`
`getMultiURLValues_Tooltip()`
`org.eclipse.emf.ecore.EReference`
`getMultiURLValues_URLValues()`
`org.eclipse.emf.ecore.EClass`
`getNumberFormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getNumberFormatSpecifier_FractionDigits()`
`org.eclipse.emf.ecore.EAttribute`
`getNumberFormatSpecifier_Multiplier()`
`org.eclipse.emf.ecore.EAttribute`
`getNumberFormatSpecifier_Prefix()`
`org.eclipse.emf.ecore.EAttribute`
`getNumberFormatSpecifier_Suffix()`
`org.eclipse.emf.ecore.EEnum`
`getOrientation()`
`org.eclipse.emf.ecore.EDataType`
`getOrientationObject()`
`org.eclipse.emf.ecore.EClass`
`getPalette()`
`org.eclipse.emf.ecore.EReference`
`getPalette_Entries()`
`org.eclipse.emf.ecore.EAttribute`
`getPalette_Name()`
`org.eclipse.emf.ecore.EDataType`
`getPatternBitmap()`
`org.eclipse.emf.ecore.EDataType`
`getPatternBitmapObject()`
`org.eclipse.emf.ecore.EClass`
`getPatternImage()`
`org.eclipse.emf.ecore.EReference`
`getPatternImage_BackColor()`
`org.eclipse.emf.ecore.EAttribute`
`getPatternImage_Bitmap()`
`org.eclipse.emf.ecore.EReference`
`getPatternImage_ForeColor()`
`org.eclipse.emf.ecore.EDataType`
`getPercentage()`
`org.eclipse.emf.ecore.EDataType`
`getPercentageObject()`
`org.eclipse.emf.ecore.EEnum`
`getPosition()`
`org.eclipse.emf.ecore.EDataType`
`getPositionObject()`
`org.eclipse.emf.ecore.EDataType`
`getRGBValue()`
`org.eclipse.emf.ecore.EDataType`
`getRGBValueObject()`
`org.eclipse.emf.ecore.EEnum`
`getRiserType()`
`org.eclipse.emf.ecore.EDataType`
`getRiserTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getRotation3D()`
`org.eclipse.emf.ecore.EReference`
`getRotation3D_Angles()`
`org.eclipse.emf.ecore.EEnum`
`getRuleType()`
`org.eclipse.emf.ecore.EDataType`
`getRuleTypeObject()`
`org.eclipse.emf.ecore.EEnum`
`getScaleUnitType()`
`org.eclipse.emf.ecore.EDataType`
`getScaleUnitTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getScriptValue()`
`org.eclipse.emf.ecore.EAttribute`
`getScriptValue_Script()`
`org.eclipse.emf.ecore.EClass`
`getSeriesValue()`
`org.eclipse.emf.ecore.EAttribute`
`getSeriesValue_Name()`
`org.eclipse.emf.ecore.EClass`
`getSize()`
`org.eclipse.emf.ecore.EAttribute`
`getSize_Height()`
`org.eclipse.emf.ecore.EAttribute`
`getSize_Width()`
`org.eclipse.emf.ecore.EEnum`
`getSortOption()`
`org.eclipse.emf.ecore.EDataType`
`getSortOptionObject()`
`org.eclipse.emf.ecore.EEnum`
`getStretch()`
`org.eclipse.emf.ecore.EDataType`
`getStretchObject()`
`org.eclipse.emf.ecore.EClass`
`getStringFormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getStringFormatSpecifier_Pattern()`
`org.eclipse.emf.ecore.EClass`
`getStyle()`
`org.eclipse.emf.ecore.EReference`
`getStyle_BackgroundColor()`
`org.eclipse.emf.ecore.EReference`
`getStyle_BackgroundImage()`
`org.eclipse.emf.ecore.EReference`
`getStyle_Color()`
`org.eclipse.emf.ecore.EReference`
`getStyle_Font()`
`org.eclipse.emf.ecore.EReference`
`getStyle_Padding()`
`org.eclipse.emf.ecore.EEnum`
`getStyledComponent()`
`org.eclipse.emf.ecore.EDataType`
`getStyledComponentObject()`
`org.eclipse.emf.ecore.EClass`
`getStyleMap()`
`org.eclipse.emf.ecore.EAttribute`
`getStyleMap_ComponentName()`
`org.eclipse.emf.ecore.EReference`
`getStyleMap_Style()`
`org.eclipse.emf.ecore.EClass`
`getText()`
`org.eclipse.emf.ecore.EReference`
`getText_Color()`
`org.eclipse.emf.ecore.EReference`
`getText_Font()`
`org.eclipse.emf.ecore.EAttribute`
`getText_Value()`
`org.eclipse.emf.ecore.EClass`
`getTextAlignment()`
`org.eclipse.emf.ecore.EAttribute`
`getTextAlignment_HorizontalAlignment()`
`org.eclipse.emf.ecore.EAttribute`
`getTextAlignment_VerticalAlignment()`
`org.eclipse.emf.ecore.EEnum`
`getTickStyle()`
`org.eclipse.emf.ecore.EDataType`
`getTickStyleObject()`
`org.eclipse.emf.ecore.EClass`
`getTooltipValue()`
`org.eclipse.emf.ecore.EAttribute`
`getTooltipValue_Delay()`
`org.eclipse.emf.ecore.EReference`
`getTooltipValue_FormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getTooltipValue_Text()`
`org.eclipse.emf.ecore.EEnum`
`getTriggerCondition()`
`org.eclipse.emf.ecore.EDataType`
`getTriggerConditionObject()`
`org.eclipse.emf.ecore.EEnum`
`getTriggerFlow()`
`org.eclipse.emf.ecore.EDataType`
`getTriggerFlowObject()`
`org.eclipse.emf.ecore.EEnum`
`getUnitsOfMeasurement()`
`org.eclipse.emf.ecore.EDataType`
`getUnitsOfMeasurementObject()`
`org.eclipse.emf.ecore.EClass`
`getURLValue()`
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_BaseParameterName()`
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_BaseUrl()`
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_SeriesParameterName()`
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_Target()`
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_Tooltip()`
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_ValueParameterName()`
`org.eclipse.emf.ecore.EEnum`
`getVerticalAlignment()`
`org.eclipse.emf.ecore.EDataType`
`getVerticalAlignmentObject()`
`static AttributePackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static AttributePackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `AttributePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `AttributePackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getAccessibilityValue

public org.eclipse.emf.ecore.EClass getAccessibilityValue()

Specified by:
  `getAccessibilityValue` in interface `AttributePackage`
Returns:
  the meta object for class 'Accessibility Value'.
See Also:
  - `AccessibilityValue`

### getAccessibilityValue_Text

public org.eclipse.emf.ecore.EAttribute getAccessibilityValue_Text()

Specified by:
  `getAccessibilityValue_Text` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Text'.
See Also:
  - `AccessibilityValue.getText()`
  - `AttributePackage.getAccessibilityValue()`

### getAccessibilityValue_Accessibility

public org.eclipse.emf.ecore.EAttribute getAccessibilityValue_Accessibility()

Specified by:
  `getAccessibilityValue_Accessibility` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Accessibility'.
See Also:
  - `AccessibilityValue.getAccessibility()`
  - `AttributePackage.getAccessibilityValue()`

### getActionValue

public org.eclipse.emf.ecore.EClass getActionValue()

Specified by:
  `getActionValue` in interface `AttributePackage`
Returns:
  the meta object for class 'Action Value'.
See Also:
  - `ActionValue`

### getActionValue_Label

public org.eclipse.emf.ecore.EReference getActionValue_Label()

Specified by:
  `getActionValue_Label` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `ActionValue.getLabel()`
  - `AttributePackage.getActionValue()`

### getAngle3D

public org.eclipse.emf.ecore.EClass getAngle3D()

Specified by:
  `getAngle3D` in interface `AttributePackage`
Returns:
  the meta object for class 'Angle3 D'.
See Also:
  - `Angle3D`

### getAngle3D_XAngle

public org.eclipse.emf.ecore.EAttribute getAngle3D_XAngle()

Specified by:
  `getAngle3D_XAngle` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'XAngle'.
See Also:
  - `Angle3D.getXAngle()`
  - `AttributePackage.getAngle3D()`

### getAngle3D_YAngle

public org.eclipse.emf.ecore.EAttribute getAngle3D_YAngle()

Specified by:
  `getAngle3D_YAngle` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'YAngle'.
See Also:
  - `Angle3D.getYAngle()`
  - `AttributePackage.getAngle3D()`

### getAngle3D_ZAngle

public org.eclipse.emf.ecore.EAttribute getAngle3D_ZAngle()

Specified by:
  `getAngle3D_ZAngle` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'ZAngle'.
See Also:
  - `Angle3D.getZAngle()`
  - `AttributePackage.getAngle3D()`

### getAngle3D_Type

public org.eclipse.emf.ecore.EAttribute getAngle3D_Type()

Specified by:
  `getAngle3D_Type` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Angle3D.getType()`
  - `AttributePackage.getAngle3D()`

### getAxisOrigin

public org.eclipse.emf.ecore.EClass getAxisOrigin()

Specified by:
  `getAxisOrigin` in interface `AttributePackage`
Returns:
  the meta object for class 'Axis Origin'.
See Also:
  - `AxisOrigin`

### getAxisOrigin_Type

public org.eclipse.emf.ecore.EAttribute getAxisOrigin_Type()

Specified by:
  `getAxisOrigin_Type` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `AxisOrigin.getType()`
  - `AttributePackage.getAxisOrigin()`

### getAxisOrigin_Value

public org.eclipse.emf.ecore.EReference getAxisOrigin_Value()

Specified by:
  `getAxisOrigin_Value` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Value'.
See Also:
  - `AxisOrigin.getValue()`
  - `AttributePackage.getAxisOrigin()`

### getBounds

public org.eclipse.emf.ecore.EClass getBounds()

Specified by:
  `getBounds` in interface `AttributePackage`
Returns:
  the meta object for class 'Bounds'.
See Also:
  - `Bounds`

### getBounds_Left

public org.eclipse.emf.ecore.EAttribute getBounds_Left()

Specified by:
  `getBounds_Left` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Left'.
See Also:
  - `Bounds.getLeft()`
  - `AttributePackage.getBounds()`

### getBounds_Top

public org.eclipse.emf.ecore.EAttribute getBounds_Top()

Specified by:
  `getBounds_Top` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Top'.
See Also:
  - `Bounds.getTop()`
  - `AttributePackage.getBounds()`

### getBounds_Width

public org.eclipse.emf.ecore.EAttribute getBounds_Width()

Specified by:
  `getBounds_Width` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Width'.
See Also:
  - `Bounds.getWidth()`
  - `AttributePackage.getBounds()`

### getBounds_Height

public org.eclipse.emf.ecore.EAttribute getBounds_Height()

Specified by:
  `getBounds_Height` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Height'.
See Also:
  - `Bounds.getHeight()`
  - `AttributePackage.getBounds()`

### getCallBackValue

public org.eclipse.emf.ecore.EClass getCallBackValue()

Specified by:
  `getCallBackValue` in interface `AttributePackage`
Returns:
  the meta object for class 'Call Back Value'.
See Also:
  - `CallBackValue`

### getCallBackValue_Identifier

public org.eclipse.emf.ecore.EAttribute getCallBackValue_Identifier()

Specified by:
  `getCallBackValue_Identifier` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  - `CallBackValue.getIdentifier()`
  - `AttributePackage.getCallBackValue()`

### getColorDefinition

public org.eclipse.emf.ecore.EClass getColorDefinition()

Specified by:
  `getColorDefinition` in interface `AttributePackage`
Returns:
  the meta object for class 'Color Definition'.
See Also:
  - `ColorDefinition`

### getColorDefinition_Transparency

public org.eclipse.emf.ecore.EAttribute getColorDefinition_Transparency()

Specified by:
  `getColorDefinition_Transparency` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Transparency'.
See Also:
  - `ColorDefinition.getTransparency()`
  - `AttributePackage.getColorDefinition()`

### getColorDefinition_Red

public org.eclipse.emf.ecore.EAttribute getColorDefinition_Red()

Specified by:
  `getColorDefinition_Red` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Red'.
See Also:
  - `ColorDefinition.getRed()`
  - `AttributePackage.getColorDefinition()`

### getColorDefinition_Blue

public org.eclipse.emf.ecore.EAttribute getColorDefinition_Blue()

Specified by:
  `getColorDefinition_Blue` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Blue'.
See Also:
  - `ColorDefinition.getBlue()`
  - `AttributePackage.getColorDefinition()`

### getCursor

public org.eclipse.emf.ecore.EClass getCursor()

Specified by:
  `getCursor` in interface `AttributePackage`
Returns:
  the meta object for class 'Cursor'.
See Also:
  - `Cursor`

### getCursor_Type

public org.eclipse.emf.ecore.EAttribute getCursor_Type()

Specified by:
  `getCursor_Type` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Cursor.getType()`
  - `AttributePackage.getCursor()`

### getCursor_Image

public org.eclipse.emf.ecore.EReference getCursor_Image()

Specified by:
  `getCursor_Image` in interface `AttributePackage`
Returns:
  the meta object for the containment reference list 'Image'.
See Also:
  - `Cursor.getImage()`
  - `AttributePackage.getCursor()`

### getColorDefinition_Green

public org.eclipse.emf.ecore.EAttribute getColorDefinition_Green()

Specified by:
  `getColorDefinition_Green` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Green'.
See Also:
  - `ColorDefinition.getGreen()`
  - `AttributePackage.getColorDefinition()`

### getDataPoint

public org.eclipse.emf.ecore.EClass getDataPoint()

Specified by:
  `getDataPoint` in interface `AttributePackage`
Returns:
  the meta object for class 'Data Point'.
See Also:
  - `DataPoint`

### getDataPoint_Components

public org.eclipse.emf.ecore.EReference getDataPoint_Components()

Specified by:
  `getDataPoint_Components` in interface `AttributePackage`
Returns:
  the meta object for the containment reference list 'Components'.
See Also:
  - `DataPoint.getComponents()`
  - `AttributePackage.getDataPoint()`

### getDataPoint_Prefix

public org.eclipse.emf.ecore.EAttribute getDataPoint_Prefix()

Specified by:
  `getDataPoint_Prefix` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Prefix'.
See Also:
  - `DataPoint.getPrefix()`
  - `AttributePackage.getDataPoint()`

### getDataPoint_Suffix

public org.eclipse.emf.ecore.EAttribute getDataPoint_Suffix()

Specified by:
  `getDataPoint_Suffix` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Suffix'.
See Also:
  - `DataPoint.getSuffix()`
  - `AttributePackage.getDataPoint()`

### getDataPoint_Separator

public org.eclipse.emf.ecore.EAttribute getDataPoint_Separator()

Specified by:
  `getDataPoint_Separator` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Separator'.
See Also:
  - `DataPoint.getSeparator()`
  - `AttributePackage.getDataPoint()`

### getDataPointComponent

public org.eclipse.emf.ecore.EClass getDataPointComponent()

Specified by:
  `getDataPointComponent` in interface `AttributePackage`
Returns:
  the meta object for class 'Data Point Component'.
See Also:
  - `DataPointComponent`

### getDataPointComponent_Type

public org.eclipse.emf.ecore.EAttribute getDataPointComponent_Type()

Specified by:
  `getDataPointComponent_Type` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `DataPointComponent.getType()`
  - `AttributePackage.getDataPointComponent()`

### getDataPointComponent_FormatSpecifier

public org.eclipse.emf.ecore.EReference getDataPointComponent_FormatSpecifier()

Specified by:
  `getDataPointComponent_FormatSpecifier` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `DataPointComponent.getFormatSpecifier()`
  - `AttributePackage.getDataPointComponent()`

### getDataPointComponent_OrthogonalType

public org.eclipse.emf.ecore.EAttribute getDataPointComponent_OrthogonalType()

Specified by:
  `getDataPointComponent_OrthogonalType` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Orthogonal Type'.
See Also:
  - `DataPointComponent.getOrthogonalType()`
  - `AttributePackage.getDataPointComponent()`

### getDateFormatSpecifier

public org.eclipse.emf.ecore.EClass getDateFormatSpecifier()

Specified by:
  `getDateFormatSpecifier` in interface `AttributePackage`
Returns:
  the meta object for class 'Date Format Specifier'.
See Also:
  - `DateFormatSpecifier`

### getDateFormatSpecifier_Type

public org.eclipse.emf.ecore.EAttribute getDateFormatSpecifier_Type()

Specified by:
  `getDateFormatSpecifier_Type` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `DateFormatSpecifier.getType()`
  - `AttributePackage.getDateFormatSpecifier()`

### getDateFormatSpecifier_Detail

public org.eclipse.emf.ecore.EAttribute getDateFormatSpecifier_Detail()

Specified by:
  `getDateFormatSpecifier_Detail` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Detail'.
See Also:
  - `DateFormatSpecifier.getDetail()`
  - `AttributePackage.getDateFormatSpecifier()`

### getEmbeddedImage

public org.eclipse.emf.ecore.EClass getEmbeddedImage()

Specified by:
  `getEmbeddedImage` in interface `AttributePackage`
Returns:
  the meta object for class 'Embedded Image'.
See Also:
  - `EmbeddedImage`

### getEmbeddedImage_Data

public org.eclipse.emf.ecore.EAttribute getEmbeddedImage_Data()

Specified by:
  `getEmbeddedImage_Data` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Data'.
See Also:
  - `EmbeddedImage.getData()`
  - `AttributePackage.getEmbeddedImage()`

### getEStringToStringMapEntry

public org.eclipse.emf.ecore.EClass getEStringToStringMapEntry()

Specified by:
  `getEStringToStringMapEntry` in interface `AttributePackage`
Returns:
  the meta object for class 'EString To String Map Entry'.
See Also:
  - `Map.Entry`

### getEStringToStringMapEntry_Key

public org.eclipse.emf.ecore.EAttribute getEStringToStringMapEntry_Key()

Specified by:
  `getEStringToStringMapEntry_Key` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Key'.
See Also:
  - `Map.Entry`
  - `AttributePackage.getEStringToStringMapEntry()`

### getEStringToStringMapEntry_Value

public org.eclipse.emf.ecore.EAttribute getEStringToStringMapEntry_Value()

Specified by:
  `getEStringToStringMapEntry_Value` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Map.Entry`
  - `AttributePackage.getEStringToStringMapEntry()`

### getExtendedProperty

public org.eclipse.emf.ecore.EClass getExtendedProperty()

Specified by:
  `getExtendedProperty` in interface `AttributePackage`
Returns:
  the meta object for class 'Extended Property'.
See Also:
  - `ExtendedProperty`

### getExtendedProperty_Name

public org.eclipse.emf.ecore.EAttribute getExtendedProperty_Name()

Specified by:
  `getExtendedProperty_Name` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `ExtendedProperty.getName()`
  - `AttributePackage.getExtendedProperty()`

### getExtendedProperty_Value

public org.eclipse.emf.ecore.EAttribute getExtendedProperty_Value()

Specified by:
  `getExtendedProperty_Value` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `ExtendedProperty.getValue()`
  - `AttributePackage.getExtendedProperty()`

### getFill

public org.eclipse.emf.ecore.EClass getFill()

Specified by:
  `getFill` in interface `AttributePackage`
Returns:
  the meta object for class 'Fill'.
See Also:
  - `Fill`

### getFill_Type

public org.eclipse.emf.ecore.EAttribute getFill_Type()

Specified by:
  `getFill_Type` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Fill.getType()`
  - `AttributePackage.getFill()`

### getFontDefinition

public org.eclipse.emf.ecore.EClass getFontDefinition()

Specified by:
  `getFontDefinition` in interface `AttributePackage`
Returns:
  the meta object for class 'Font Definition'.
See Also:
  - `FontDefinition`

### getFontDefinition_Name

public org.eclipse.emf.ecore.EAttribute getFontDefinition_Name()

Specified by:
  `getFontDefinition_Name` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `FontDefinition.getName()`
  - `AttributePackage.getFontDefinition()`

### getFontDefinition_Size

public org.eclipse.emf.ecore.EAttribute getFontDefinition_Size()

Specified by:
  `getFontDefinition_Size` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Size'.
See Also:
  - `FontDefinition.getSize()`
  - `AttributePackage.getFontDefinition()`

### getFontDefinition_Bold

public org.eclipse.emf.ecore.EAttribute getFontDefinition_Bold()

Specified by:
  `getFontDefinition_Bold` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Bold'.
See Also:
  - `FontDefinition.isBold()`
  - `AttributePackage.getFontDefinition()`

### getFontDefinition_Italic

public org.eclipse.emf.ecore.EAttribute getFontDefinition_Italic()

Specified by:
  `getFontDefinition_Italic` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Italic'.
See Also:
  - `FontDefinition.isItalic()`
  - `AttributePackage.getFontDefinition()`

### getFontDefinition_Strikethrough

public org.eclipse.emf.ecore.EAttribute getFontDefinition_Strikethrough()

Specified by:
  `getFontDefinition_Strikethrough` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Strikethrough'.
See Also:
  - `FontDefinition.isStrikethrough()`
  - `AttributePackage.getFontDefinition()`

### getFontDefinition_Underline

public org.eclipse.emf.ecore.EAttribute getFontDefinition_Underline()

Specified by:
  `getFontDefinition_Underline` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Underline'.
See Also:
  - `FontDefinition.isUnderline()`
  - `AttributePackage.getFontDefinition()`

### getFontDefinition_WordWrap

public org.eclipse.emf.ecore.EAttribute getFontDefinition_WordWrap()

Specified by:
  `getFontDefinition_WordWrap` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Word Wrap'.
See Also:
  - `FontDefinition.isWordWrap()`
  - `AttributePackage.getFontDefinition()`

### getFontDefinition_Alignment

public org.eclipse.emf.ecore.EReference getFontDefinition_Alignment()

Specified by:
  `getFontDefinition_Alignment` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Alignment'.
See Also:
  - `FontDefinition.getAlignment()`
  - `AttributePackage.getFontDefinition()`

### getFontDefinition_Rotation

public org.eclipse.emf.ecore.EAttribute getFontDefinition_Rotation()

Specified by:
  `getFontDefinition_Rotation` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Rotation'.
See Also:
  - `FontDefinition.getRotation()`
  - `AttributePackage.getFontDefinition()`

### getFormatSpecifier

public org.eclipse.emf.ecore.EClass getFormatSpecifier()

Specified by:
  `getFormatSpecifier` in interface `AttributePackage`
Returns:
  the meta object for class 'Format Specifier'.
See Also:
  - `FormatSpecifier`

### getFractionNumberFormatSpecifier

public org.eclipse.emf.ecore.EClass getFractionNumberFormatSpecifier()

Specified by:
  `getFractionNumberFormatSpecifier` in interface `AttributePackage`
Returns:
  the meta object for class 'Fraction Number Format Specifier'.
See Also:
  - `FractionNumberFormatSpecifier`

### getFractionNumberFormatSpecifier_Precise

public org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Precise()

Specified by:
  `getFractionNumberFormatSpecifier_Precise` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Precise'.
See Also:
  - `FractionNumberFormatSpecifier.isPrecise()`
  - `AttributePackage.getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_FractionDigits

public org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_FractionDigits()

Specified by:
  `getFractionNumberFormatSpecifier_FractionDigits` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Fraction Digits'.
See Also:
  - `FractionNumberFormatSpecifier.getFractionDigits()`
  - `AttributePackage.getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_Numerator

public org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Numerator()

Specified by:
  `getFractionNumberFormatSpecifier_Numerator` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Numerator'.
See Also:
  - `FractionNumberFormatSpecifier.getNumerator()`
  - `AttributePackage.getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_Prefix

public org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Prefix()

Specified by:
  `getFractionNumberFormatSpecifier_Prefix` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Prefix'.
See Also:
  - `FractionNumberFormatSpecifier.getPrefix()`
  - `AttributePackage.getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_Suffix

public org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Suffix()

Specified by:
  `getFractionNumberFormatSpecifier_Suffix` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Suffix'.
See Also:
  - `FractionNumberFormatSpecifier.getSuffix()`
  - `AttributePackage.getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_Delimiter

public org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Delimiter()

Specified by:
  `getFractionNumberFormatSpecifier_Delimiter` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Delimiter'.
See Also:
  - `FractionNumberFormatSpecifier.getDelimiter()`
  - `AttributePackage.getFractionNumberFormatSpecifier()`

### getGradient

public org.eclipse.emf.ecore.EClass getGradient()

Specified by:
  `getGradient` in interface `AttributePackage`
Returns:
  the meta object for class 'Gradient'.
See Also:
  - `Gradient`

### getGradient_StartColor

public org.eclipse.emf.ecore.EReference getGradient_StartColor()

Specified by:
  `getGradient_StartColor` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Start Color'.
See Also:
  - `Gradient.getStartColor()`
  - `AttributePackage.getGradient()`

### getGradient_EndColor

public org.eclipse.emf.ecore.EReference getGradient_EndColor()

Specified by:
  `getGradient_EndColor` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'End Color'.
See Also:
  - `Gradient.getEndColor()`
  - `AttributePackage.getGradient()`

### getGradient_Direction

public org.eclipse.emf.ecore.EAttribute getGradient_Direction()

Specified by:
  `getGradient_Direction` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Direction'.
See Also:
  - `Gradient.getDirection()`
  - `AttributePackage.getGradient()`

### getGradient_Cyclic

public org.eclipse.emf.ecore.EAttribute getGradient_Cyclic()

Specified by:
  `getGradient_Cyclic` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Cyclic'.
See Also:
  - `Gradient.isCyclic()`
  - `AttributePackage.getGradient()`

### getGradient_Transparency

public org.eclipse.emf.ecore.EAttribute getGradient_Transparency()

Specified by:
  `getGradient_Transparency` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Transparency'.
See Also:
  - `Gradient.getTransparency()`
  - `AttributePackage.getGradient()`

### getImage

public org.eclipse.emf.ecore.EClass getImage()

Specified by:
  `getImage` in interface `AttributePackage`
Returns:
  the meta object for class 'Image'.
See Also:
  - `Image`

### getImage_URL

public org.eclipse.emf.ecore.EAttribute getImage_URL()

Specified by:
  `getImage_URL` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'URL'.
See Also:
  - `Image.getURL()`
  - `AttributePackage.getImage()`

### getImage_Source

public org.eclipse.emf.ecore.EAttribute getImage_Source()

Specified by:
  `getImage_Source` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Source'.
See Also:
  - `Image.getSource()`
  - `AttributePackage.getImage()`

### getInsets

public org.eclipse.emf.ecore.EClass getInsets()

Specified by:
  `getInsets` in interface `AttributePackage`
Returns:
  the meta object for class 'Insets'.
See Also:
  - `Insets`

### getInsets_Top

public org.eclipse.emf.ecore.EAttribute getInsets_Top()

Specified by:
  `getInsets_Top` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Top'.
See Also:
  - `Insets.getTop()`
  - `AttributePackage.getInsets()`

### getInsets_Left

public org.eclipse.emf.ecore.EAttribute getInsets_Left()

Specified by:
  `getInsets_Left` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Left'.
See Also:
  - `Insets.getLeft()`
  - `AttributePackage.getInsets()`

### getInsets_Bottom

public org.eclipse.emf.ecore.EAttribute getInsets_Bottom()

Specified by:
  `getInsets_Bottom` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Bottom'.
See Also:
  - `Insets.getBottom()`
  - `AttributePackage.getInsets()`

### getInsets_Right

public org.eclipse.emf.ecore.EAttribute getInsets_Right()

Specified by:
  `getInsets_Right` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Right'.
See Also:
  - `Insets.getRight()`
  - `AttributePackage.getInsets()`

### getInteractivity

public org.eclipse.emf.ecore.EClass getInteractivity()

Specified by:
  `getInteractivity` in interface `AttributePackage`
Returns:
  the meta object for class 'Interactivity'.
See Also:
  - `Interactivity`

### getInteractivity_Enable

public org.eclipse.emf.ecore.EAttribute getInteractivity_Enable()

Specified by:
  `getInteractivity_Enable` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Enable'.
See Also:
  - `Interactivity.isEnable()`
  - `AttributePackage.getInteractivity()`

### getInteractivity_LegendBehavior

public org.eclipse.emf.ecore.EAttribute getInteractivity_LegendBehavior()

Specified by:
  `getInteractivity_LegendBehavior` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Legend Behavior'.
See Also:
  - `Interactivity.getLegendBehavior()`
  - `AttributePackage.getInteractivity()`

### getJavaDateFormatSpecifier

public org.eclipse.emf.ecore.EClass getJavaDateFormatSpecifier()

Specified by:
  `getJavaDateFormatSpecifier` in interface `AttributePackage`
Returns:
  the meta object for class 'Java Date Format Specifier'.
See Also:
  - `JavaDateFormatSpecifier`

### getJavaDateFormatSpecifier_Pattern

public org.eclipse.emf.ecore.EAttribute getJavaDateFormatSpecifier_Pattern()

Specified by:
  `getJavaDateFormatSpecifier_Pattern` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Pattern'.
See Also:
  - `JavaDateFormatSpecifier.getPattern()`
  - `AttributePackage.getJavaDateFormatSpecifier()`

### getJavaNumberFormatSpecifier

public org.eclipse.emf.ecore.EClass getJavaNumberFormatSpecifier()

Specified by:
  `getJavaNumberFormatSpecifier` in interface `AttributePackage`
Returns:
  the meta object for class 'Java Number Format Specifier'.
See Also:
  - `JavaNumberFormatSpecifier`

### getJavaNumberFormatSpecifier_Pattern

public org.eclipse.emf.ecore.EAttribute getJavaNumberFormatSpecifier_Pattern()

Specified by:
  `getJavaNumberFormatSpecifier_Pattern` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Pattern'.
See Also:
  - `JavaNumberFormatSpecifier.getPattern()`
  - `AttributePackage.getJavaNumberFormatSpecifier()`

### getJavaNumberFormatSpecifier_Multiplier

public org.eclipse.emf.ecore.EAttribute getJavaNumberFormatSpecifier_Multiplier()

Specified by:
  `getJavaNumberFormatSpecifier_Multiplier` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Multiplier'.
See Also:
  - `JavaNumberFormatSpecifier.getMultiplier()`
  - `AttributePackage.getJavaNumberFormatSpecifier()`

### getLineAttributes

public org.eclipse.emf.ecore.EClass getLineAttributes()

Specified by:
  `getLineAttributes` in interface `AttributePackage`
Returns:
  the meta object for class 'Line Attributes'.
See Also:
  - `LineAttributes`

### getLineAttributes_Style

public org.eclipse.emf.ecore.EAttribute getLineAttributes_Style()

Specified by:
  `getLineAttributes_Style` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Style'.
See Also:
  - `LineAttributes.getStyle()`
  - `AttributePackage.getLineAttributes()`

### getLineAttributes_Thickness

public org.eclipse.emf.ecore.EAttribute getLineAttributes_Thickness()

Specified by:
  `getLineAttributes_Thickness` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Thickness'.
See Also:
  - `LineAttributes.getThickness()`
  - `AttributePackage.getLineAttributes()`

### getLineAttributes_Color

public org.eclipse.emf.ecore.EReference getLineAttributes_Color()

Specified by:
  `getLineAttributes_Color` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Color'.
See Also:
  - `LineAttributes.getColor()`
  - `AttributePackage.getLineAttributes()`

### getLineAttributes_Visible

public org.eclipse.emf.ecore.EAttribute getLineAttributes_Visible()

Specified by:
  `getLineAttributes_Visible` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `LineAttributes.isVisible()`
  - `AttributePackage.getLineAttributes()`

### getLocation

public org.eclipse.emf.ecore.EClass getLocation()

Specified by:
  `getLocation` in interface `AttributePackage`
Returns:
  the meta object for class 'Location'.
See Also:
  - `Location`

### getLocation_X

public org.eclipse.emf.ecore.EAttribute getLocation_X()

Specified by:
  `getLocation_X` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'X'.
See Also:
  - `Location.getX()`
  - `AttributePackage.getLocation()`

### getLocation_Y

public org.eclipse.emf.ecore.EAttribute getLocation_Y()

Specified by:
  `getLocation_Y` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Y'.
See Also:
  - `Location.getY()`
  - `AttributePackage.getLocation()`

### getLocation3D

public org.eclipse.emf.ecore.EClass getLocation3D()

Specified by:
  `getLocation3D` in interface `AttributePackage`
Returns:
  the meta object for class 'Location3 D'.
See Also:
  - `Location3D`

### getLocation3D_Z

public org.eclipse.emf.ecore.EAttribute getLocation3D_Z()

Specified by:
  `getLocation3D_Z` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Z'.
See Also:
  - `Location3D.getZ()`
  - `AttributePackage.getLocation3D()`

### getMarker

public org.eclipse.emf.ecore.EClass getMarker()

Specified by:
  `getMarker` in interface `AttributePackage`
Returns:
  the meta object for class 'Marker'.
See Also:
  - `Marker`

### getMarker_Type

public org.eclipse.emf.ecore.EAttribute getMarker_Type()

Specified by:
  `getMarker_Type` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Marker.getType()`
  - `AttributePackage.getMarker()`

### getMarker_Size

public org.eclipse.emf.ecore.EAttribute getMarker_Size()

Specified by:
  `getMarker_Size` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Size'.
See Also:
  - `Marker.getSize()`
  - `AttributePackage.getMarker()`

### getMarker_Visible

public org.eclipse.emf.ecore.EAttribute getMarker_Visible()

Specified by:
  `getMarker_Visible` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `Marker.isVisible()`
  - `AttributePackage.getMarker()`

### getMarker_Fill

public org.eclipse.emf.ecore.EReference getMarker_Fill()

Specified by:
  `getMarker_Fill` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Fill'.
See Also:
  - `Marker.getFill()`
  - `AttributePackage.getMarker()`

### getMarker_IconPalette

public org.eclipse.emf.ecore.EReference getMarker_IconPalette()

Specified by:
  `getMarker_IconPalette` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Icon Palette'.
See Also:
  - `Marker.getIconPalette()`
  - `AttributePackage.getMarker()`

### getMarker_Outline

public org.eclipse.emf.ecore.EReference getMarker_Outline()

Specified by:
  `getMarker_Outline` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `Marker.getOutline()`
  - `AttributePackage.getMarker()`

### getMultipleFill

public org.eclipse.emf.ecore.EClass getMultipleFill()

Specified by:
  `getMultipleFill` in interface `AttributePackage`
Returns:
  the meta object for class 'Multiple Fill'.
See Also:
  - `MultipleFill`

### getMultipleFill_Fills

public org.eclipse.emf.ecore.EReference getMultipleFill_Fills()

Specified by:
  `getMultipleFill_Fills` in interface `AttributePackage`
Returns:
  the meta object for the containment reference list 'Fills'.
See Also:
  - `MultipleFill.getFills()`
  - `AttributePackage.getMultipleFill()`

### getMultiURLValues

public org.eclipse.emf.ecore.EClass getMultiURLValues()

Specified by:
  `getMultiURLValues` in interface `AttributePackage`
Returns:
  the meta object for class 'Multi URL Values'.
See Also:
  - `MultiURLValues`

### getMultiURLValues_URLValues

public org.eclipse.emf.ecore.EReference getMultiURLValues_URLValues()

Specified by:
  `getMultiURLValues_URLValues` in interface `AttributePackage`
Returns:
  the meta object for the containment reference list 'URL Values'.
See Also:
  - `MultiURLValues.getURLValues()`
  - `AttributePackage.getMultiURLValues()`

### getMultiURLValues_Tooltip

public org.eclipse.emf.ecore.EAttribute getMultiURLValues_Tooltip()

Specified by:
  `getMultiURLValues_Tooltip` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Tooltip'.
See Also:
  - `MultiURLValues.getTooltip()`
  - `AttributePackage.getMultiURLValues()`

### getMultiURLValues_PropertiesMap

public org.eclipse.emf.ecore.EReference getMultiURLValues_PropertiesMap()

Specified by:
  `getMultiURLValues_PropertiesMap` in interface `AttributePackage`
Returns:
  the meta object for the map 'Properties Map'.
See Also:
  - `MultiURLValues.getPropertiesMap()`
  - `AttributePackage.getMultiURLValues()`

### getNumberFormatSpecifier

public org.eclipse.emf.ecore.EClass getNumberFormatSpecifier()

Specified by:
  `getNumberFormatSpecifier` in interface `AttributePackage`
Returns:
  the meta object for class 'Number Format Specifier'.
See Also:
  - `NumberFormatSpecifier`

### getNumberFormatSpecifier_Prefix

public org.eclipse.emf.ecore.EAttribute getNumberFormatSpecifier_Prefix()

Specified by:
  `getNumberFormatSpecifier_Prefix` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Prefix'.
See Also:
  - `NumberFormatSpecifier.getPrefix()`
  - `AttributePackage.getNumberFormatSpecifier()`

### getNumberFormatSpecifier_Suffix

public org.eclipse.emf.ecore.EAttribute getNumberFormatSpecifier_Suffix()

Specified by:
  `getNumberFormatSpecifier_Suffix` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Suffix'.
See Also:
  - `NumberFormatSpecifier.getSuffix()`
  - `AttributePackage.getNumberFormatSpecifier()`

### getNumberFormatSpecifier_Multiplier

public org.eclipse.emf.ecore.EAttribute getNumberFormatSpecifier_Multiplier()

Specified by:
  `getNumberFormatSpecifier_Multiplier` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Multiplier'.
See Also:
  - `NumberFormatSpecifier.getMultiplier()`
  - `AttributePackage.getNumberFormatSpecifier()`

### getNumberFormatSpecifier_FractionDigits

public org.eclipse.emf.ecore.EAttribute getNumberFormatSpecifier_FractionDigits()

Specified by:
  `getNumberFormatSpecifier_FractionDigits` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Fraction Digits'.
See Also:
  - `NumberFormatSpecifier.getFractionDigits()`
  - `AttributePackage.getNumberFormatSpecifier()`

### getPalette

public org.eclipse.emf.ecore.EClass getPalette()

Specified by:
  `getPalette` in interface `AttributePackage`
Returns:
  the meta object for class 'Palette'.
See Also:
  - `Palette`

### getPalette_Name

public org.eclipse.emf.ecore.EAttribute getPalette_Name()

Specified by:
  `getPalette_Name` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `Palette.getName()`
  - `AttributePackage.getPalette()`

### getPalette_Entries

public org.eclipse.emf.ecore.EReference getPalette_Entries()

Specified by:
  `getPalette_Entries` in interface `AttributePackage`
Returns:
  the meta object for the containment reference list 'Entries'.
See Also:
  - `Palette.getEntries()`
  - `AttributePackage.getPalette()`

### getPatternImage

public org.eclipse.emf.ecore.EClass getPatternImage()

Specified by:
  `getPatternImage` in interface `AttributePackage`
Returns:
  the meta object for class 'Pattern Image'.
See Also:
  - `PatternImage`

### getPatternImage_Bitmap

public org.eclipse.emf.ecore.EAttribute getPatternImage_Bitmap()

Specified by:
  `getPatternImage_Bitmap` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Bitmap'.
See Also:
  - `PatternImage.getBitmap()`
  - `AttributePackage.getPatternImage()`

### getPatternImage_ForeColor

public org.eclipse.emf.ecore.EReference getPatternImage_ForeColor()

Specified by:
  `getPatternImage_ForeColor` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Fore Color'.
See Also:
  - `PatternImage.getForeColor()`
  - `AttributePackage.getPatternImage()`

### getPatternImage_BackColor

public org.eclipse.emf.ecore.EReference getPatternImage_BackColor()

Specified by:
  `getPatternImage_BackColor` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Back Color'.
See Also:
  - `PatternImage.getBackColor()`
  - `AttributePackage.getPatternImage()`

### getRotation3D

public org.eclipse.emf.ecore.EClass getRotation3D()

Specified by:
  `getRotation3D` in interface `AttributePackage`
Returns:
  the meta object for class 'Rotation3 D'.
See Also:
  - `Rotation3D`

### getRotation3D_Angles

public org.eclipse.emf.ecore.EReference getRotation3D_Angles()

Specified by:
  `getRotation3D_Angles` in interface `AttributePackage`
Returns:
  the meta object for the containment reference list 'Angles'.
See Also:
  - `Rotation3D.getAngles()`
  - `AttributePackage.getRotation3D()`

### getScriptValue

public org.eclipse.emf.ecore.EClass getScriptValue()

Specified by:
  `getScriptValue` in interface `AttributePackage`
Returns:
  the meta object for class 'Script Value'.
See Also:
  - `ScriptValue`

### getScriptValue_Script

public org.eclipse.emf.ecore.EAttribute getScriptValue_Script()

Specified by:
  `getScriptValue_Script` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Script'.
See Also:
  - `ScriptValue.getScript()`
  - `AttributePackage.getScriptValue()`

### getSeriesValue

public org.eclipse.emf.ecore.EClass getSeriesValue()

Specified by:
  `getSeriesValue` in interface `AttributePackage`
Returns:
  the meta object for class 'Series Value'.
See Also:
  - `SeriesValue`

### getSeriesValue_Name

public org.eclipse.emf.ecore.EAttribute getSeriesValue_Name()

Specified by:
  `getSeriesValue_Name` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `SeriesValue.getName()`
  - `AttributePackage.getSeriesValue()`

### getSize

public org.eclipse.emf.ecore.EClass getSize()

Specified by:
  `getSize` in interface `AttributePackage`
Returns:
  the meta object for class 'Size'.
See Also:
  - `Size`

### getSize_Height

public org.eclipse.emf.ecore.EAttribute getSize_Height()

Specified by:
  `getSize_Height` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Height'.
See Also:
  - `Size.getHeight()`
  - `AttributePackage.getSize()`

### getSize_Width

public org.eclipse.emf.ecore.EAttribute getSize_Width()

Specified by:
  `getSize_Width` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Width'.
See Also:
  - `Size.getWidth()`
  - `AttributePackage.getSize()`

### getStringFormatSpecifier

public org.eclipse.emf.ecore.EClass getStringFormatSpecifier()

Specified by:
  `getStringFormatSpecifier` in interface `AttributePackage`
Returns:
  the meta object for class 'String Format Specifier'.
See Also:
  - `StringFormatSpecifier`

### getStringFormatSpecifier_Pattern

public org.eclipse.emf.ecore.EAttribute getStringFormatSpecifier_Pattern()

Specified by:
  `getStringFormatSpecifier_Pattern` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Pattern'.
See Also:
  - `StringFormatSpecifier.getPattern()`
  - `AttributePackage.getStringFormatSpecifier()`

### getStyle

public org.eclipse.emf.ecore.EClass getStyle()

Specified by:
  `getStyle` in interface `AttributePackage`
Returns:
  the meta object for class 'Style'.
See Also:
  - `Style`

### getStyle_Font

public org.eclipse.emf.ecore.EReference getStyle_Font()

Specified by:
  `getStyle_Font` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Font'.
See Also:
  - `Style.getFont()`
  - `AttributePackage.getStyle()`

### getStyle_Color

public org.eclipse.emf.ecore.EReference getStyle_Color()

Specified by:
  `getStyle_Color` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Color'.
See Also:
  - `Style.getColor()`
  - `AttributePackage.getStyle()`

### getStyle_BackgroundColor

public org.eclipse.emf.ecore.EReference getStyle_BackgroundColor()

Specified by:
  `getStyle_BackgroundColor` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Background Color'.
See Also:
  - `Style.getBackgroundColor()`
  - `AttributePackage.getStyle()`

### getStyle_BackgroundImage

public org.eclipse.emf.ecore.EReference getStyle_BackgroundImage()

Specified by:
  `getStyle_BackgroundImage` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Background Image'.
See Also:
  - `Style.getBackgroundImage()`
  - `AttributePackage.getStyle()`

### getStyle_Padding

public org.eclipse.emf.ecore.EReference getStyle_Padding()

Specified by:
  `getStyle_Padding` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Padding'.
See Also:
  - `Style.getPadding()`
  - `AttributePackage.getStyle()`

### getStyleMap

public org.eclipse.emf.ecore.EClass getStyleMap()

Specified by:
  `getStyleMap` in interface `AttributePackage`
Returns:
  the meta object for class 'Style Map'.
See Also:
  - `StyleMap`

### getStyleMap_ComponentName

public org.eclipse.emf.ecore.EAttribute getStyleMap_ComponentName()

Specified by:
  `getStyleMap_ComponentName` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Component Name'.
See Also:
  - `StyleMap.getComponentName()`
  - `AttributePackage.getStyleMap()`

### getStyleMap_Style

public org.eclipse.emf.ecore.EReference getStyleMap_Style()

Specified by:
  `getStyleMap_Style` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  - `StyleMap.getStyle()`
  - `AttributePackage.getStyleMap()`

### getText

public org.eclipse.emf.ecore.EClass getText()

Specified by:
  `getText` in interface `AttributePackage`
Returns:
  the meta object for class 'Text'.
See Also:
  - `Text`

### getText_Value

public org.eclipse.emf.ecore.EAttribute getText_Value()

Specified by:
  `getText_Value` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Text.getValue()`
  - `AttributePackage.getText()`

### getText_Font

public org.eclipse.emf.ecore.EReference getText_Font()

Specified by:
  `getText_Font` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Font'.
See Also:
  - `Text.getFont()`
  - `AttributePackage.getText()`

### getText_Color

public org.eclipse.emf.ecore.EReference getText_Color()

Specified by:
  `getText_Color` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Color'.
See Also:
  - `Text.getColor()`
  - `AttributePackage.getText()`

### getTextAlignment

public org.eclipse.emf.ecore.EClass getTextAlignment()

Specified by:
  `getTextAlignment` in interface `AttributePackage`
Returns:
  the meta object for class 'Text Alignment'.
See Also:
  - `TextAlignment`

### getTextAlignment_HorizontalAlignment

public org.eclipse.emf.ecore.EAttribute getTextAlignment_HorizontalAlignment()

Specified by:
  `getTextAlignment_HorizontalAlignment` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Horizontal Alignment'.
See Also:
  - `TextAlignment.getHorizontalAlignment()`
  - `AttributePackage.getTextAlignment()`

### getTextAlignment_VerticalAlignment

public org.eclipse.emf.ecore.EAttribute getTextAlignment_VerticalAlignment()

Specified by:
  `getTextAlignment_VerticalAlignment` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Vertical Alignment'.
See Also:
  - `TextAlignment.getVerticalAlignment()`
  - `AttributePackage.getTextAlignment()`

### getTooltipValue

public org.eclipse.emf.ecore.EClass getTooltipValue()

Specified by:
  `getTooltipValue` in interface `AttributePackage`
Returns:
  the meta object for class 'Tooltip Value'.
See Also:
  - `TooltipValue`

### getTooltipValue_Text

public org.eclipse.emf.ecore.EAttribute getTooltipValue_Text()

Specified by:
  `getTooltipValue_Text` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Text'.
See Also:
  - `TooltipValue.getText()`
  - `AttributePackage.getTooltipValue()`

### getTooltipValue_Delay

public org.eclipse.emf.ecore.EAttribute getTooltipValue_Delay()

Specified by:
  `getTooltipValue_Delay` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Delay'.
See Also:
  - `TooltipValue.getDelay()`
  - `AttributePackage.getTooltipValue()`

### getTooltipValue_FormatSpecifier

public org.eclipse.emf.ecore.EReference getTooltipValue_FormatSpecifier()

Specified by:
  `getTooltipValue_FormatSpecifier` in interface `AttributePackage`
Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `TooltipValue.getFormatSpecifier()`
  - `AttributePackage.getTooltipValue()`

### getURLValue

public org.eclipse.emf.ecore.EClass getURLValue()

Specified by:
  `getURLValue` in interface `AttributePackage`
Returns:
  the meta object for class 'URL Value'.
See Also:
  - `URLValue`

### getURLValue_BaseUrl

public org.eclipse.emf.ecore.EAttribute getURLValue_BaseUrl()

Specified by:
  `getURLValue_BaseUrl` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Base Url'.
See Also:
  - `URLValue.getBaseUrl()`
  - `AttributePackage.getURLValue()`

### getURLValue_Target

public org.eclipse.emf.ecore.EAttribute getURLValue_Target()

Specified by:
  `getURLValue_Target` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Target'.
See Also:
  - `URLValue.getTarget()`
  - `AttributePackage.getURLValue()`

### getURLValue_BaseParameterName

public org.eclipse.emf.ecore.EAttribute getURLValue_BaseParameterName()

Specified by:
  `getURLValue_BaseParameterName` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Base Parameter Name'.
See Also:
  - `URLValue.getBaseParameterName()`
  - `AttributePackage.getURLValue()`

### getURLValue_ValueParameterName

public org.eclipse.emf.ecore.EAttribute getURLValue_ValueParameterName()

Specified by:
  `getURLValue_ValueParameterName` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Value Parameter Name'.
See Also:
  - `URLValue.getValueParameterName()`
  - `AttributePackage.getURLValue()`

### getURLValue_SeriesParameterName

public org.eclipse.emf.ecore.EAttribute getURLValue_SeriesParameterName()

Specified by:
  `getURLValue_SeriesParameterName` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Series Parameter Name'.
See Also:
  - `URLValue.getSeriesParameterName()`
  - `AttributePackage.getURLValue()`

### getURLValue_Tooltip

public org.eclipse.emf.ecore.EAttribute getURLValue_Tooltip()

Specified by:
  `getURLValue_Tooltip` in interface `AttributePackage`
Returns:
  the meta object for the attribute 'Tooltip'.
See Also:
  - `URLValue.getTooltip()`
  - `AttributePackage.getURLValue()`

### getActionType

public org.eclipse.emf.ecore.EEnum getActionType()

Specified by:
  `getActionType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Action Type'.
See Also:
  - `ActionType`

### getAnchor

public org.eclipse.emf.ecore.EEnum getAnchor()

Specified by:
  `getAnchor` in interface `AttributePackage`
Returns:
  the meta object for enum 'Anchor'.
See Also:
  - `Anchor`

### getAngleType

public org.eclipse.emf.ecore.EEnum getAngleType()

Specified by:
  `getAngleType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Angle Type'.
See Also:
  - `AngleType`

### getChartType

public org.eclipse.emf.ecore.EEnum getChartType()

Specified by:
  `getChartType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Chart Type'.
See Also:
  - `ChartType`

### getCursorType

public org.eclipse.emf.ecore.EEnum getCursorType()

Specified by:
  `getCursorType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Cursor Type'.
See Also:
  - `CursorType`

### getDataPointComponentType

public org.eclipse.emf.ecore.EEnum getDataPointComponentType()

Specified by:
  `getDataPointComponentType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Data Point Component Type'.
See Also:
  - `DataPointComponentType`

### getDataType

public org.eclipse.emf.ecore.EEnum getDataType()

Specified by:
  `getDataType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Data Type'.
See Also:
  - `DataType`

### getDateFormatDetail

public org.eclipse.emf.ecore.EEnum getDateFormatDetail()

Specified by:
  `getDateFormatDetail` in interface `AttributePackage`
Returns:
  the meta object for enum 'Date Format Detail'.
See Also:
  - `DateFormatDetail`

### getDateFormatType

public org.eclipse.emf.ecore.EEnum getDateFormatType()

Specified by:
  `getDateFormatType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Date Format Type'.
See Also:
  - `DateFormatType`

### getDirection

public org.eclipse.emf.ecore.EEnum getDirection()

Specified by:
  `getDirection` in interface `AttributePackage`
Returns:
  the meta object for enum 'Direction'.
See Also:
  - `Direction`

### getGroupingUnitType

public org.eclipse.emf.ecore.EEnum getGroupingUnitType()

Specified by:
  `getGroupingUnitType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Grouping Unit Type'.
See Also:
  - `GroupingUnitType`

### getHorizontalAlignment

public org.eclipse.emf.ecore.EEnum getHorizontalAlignment()

Specified by:
  `getHorizontalAlignment` in interface `AttributePackage`
Returns:
  the meta object for enum 'Horizontal Alignment'.
See Also:
  - `HorizontalAlignment`

### getImageSourceType

public org.eclipse.emf.ecore.EEnum getImageSourceType()

Specified by:
  `getImageSourceType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Image Source Type'.
See Also:
  - `ImageSourceType`

### getIntersectionType

public org.eclipse.emf.ecore.EEnum getIntersectionType()

Specified by:
  `getIntersectionType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Intersection Type'.
See Also:
  - `IntersectionType`

### getLeaderLineStyle

public org.eclipse.emf.ecore.EEnum getLeaderLineStyle()

Specified by:
  `getLeaderLineStyle` in interface `AttributePackage`
Returns:
  the meta object for enum 'Leader Line Style'.
See Also:
  - `LeaderLineStyle`

### getLegendBehaviorType

public org.eclipse.emf.ecore.EEnum getLegendBehaviorType()

Specified by:
  `getLegendBehaviorType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Legend Behavior Type'.
See Also:
  - `LegendBehaviorType`

### getLegendItemType

public org.eclipse.emf.ecore.EEnum getLegendItemType()

Specified by:
  `getLegendItemType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Legend Item Type'.
See Also:
  - `LegendItemType`

### getLineDecorator

public org.eclipse.emf.ecore.EEnum getLineDecorator()

Specified by:
  `getLineDecorator` in interface `AttributePackage`
Returns:
  the meta object for enum 'Line Decorator'.
See Also:
  - `LineDecorator`

### getLineStyle

public org.eclipse.emf.ecore.EEnum getLineStyle()

Specified by:
  `getLineStyle` in interface `AttributePackage`
Returns:
  the meta object for enum 'Line Style'.
See Also:
  - `LineStyle`

### getMarkerType

public org.eclipse.emf.ecore.EEnum getMarkerType()

Specified by:
  `getMarkerType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Marker Type'.
See Also:
  - `MarkerType`

### getMenuStylesKeyType

public org.eclipse.emf.ecore.EEnum getMenuStylesKeyType()

Specified by:
  `getMenuStylesKeyType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Menu Styles Key Type'.
See Also:
  - `MenuStylesKeyType`

### getOrientation

public org.eclipse.emf.ecore.EEnum getOrientation()

Specified by:
  `getOrientation` in interface `AttributePackage`
Returns:
  the meta object for enum 'Orientation'.
See Also:
  - `Orientation`

### getPosition

public org.eclipse.emf.ecore.EEnum getPosition()

Specified by:
  `getPosition` in interface `AttributePackage`
Returns:
  the meta object for enum 'Position'.
See Also:
  - `Position`

### getRiserType

public org.eclipse.emf.ecore.EEnum getRiserType()

Specified by:
  `getRiserType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Riser Type'.
See Also:
  - `RiserType`

### getRuleType

public org.eclipse.emf.ecore.EEnum getRuleType()

Specified by:
  `getRuleType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Rule Type'.
See Also:
  - `RuleType`

### getScaleUnitType

public org.eclipse.emf.ecore.EEnum getScaleUnitType()

Specified by:
  `getScaleUnitType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Scale Unit Type'.
See Also:
  - `ScaleUnitType`

### getSortOption

public org.eclipse.emf.ecore.EEnum getSortOption()

Specified by:
  `getSortOption` in interface `AttributePackage`
Returns:
  the meta object for enum 'Sort Option'.
See Also:
  - `SortOption`

### getStretch

public org.eclipse.emf.ecore.EEnum getStretch()

Specified by:
  `getStretch` in interface `AttributePackage`
Returns:
  the meta object for enum 'Stretch'.
See Also:
  - `Stretch`

### getStyledComponent

public org.eclipse.emf.ecore.EEnum getStyledComponent()

Specified by:
  `getStyledComponent` in interface `AttributePackage`
Returns:
  the meta object for enum 'Styled Component'.
See Also:
  - `StyledComponent`

### getTickStyle

public org.eclipse.emf.ecore.EEnum getTickStyle()

Specified by:
  `getTickStyle` in interface `AttributePackage`
Returns:
  the meta object for enum 'Tick Style'.
See Also:
  - `TickStyle`

### getTriggerCondition

public org.eclipse.emf.ecore.EEnum getTriggerCondition()

Specified by:
  `getTriggerCondition` in interface `AttributePackage`
Returns:
  the meta object for enum 'Trigger Condition'.
See Also:
  - `TriggerCondition`

### getTriggerFlow

public org.eclipse.emf.ecore.EEnum getTriggerFlow()

Specified by:
  `getTriggerFlow` in interface `AttributePackage`
Returns:
  the meta object for enum 'Trigger Flow'.
See Also:
  - `TriggerFlow`

### getUnitsOfMeasurement

public org.eclipse.emf.ecore.EEnum getUnitsOfMeasurement()

Specified by:
  `getUnitsOfMeasurement` in interface `AttributePackage`
Returns:
  the meta object for enum 'Units Of Measurement'.
See Also:
  - `UnitsOfMeasurement`

### getVerticalAlignment

public org.eclipse.emf.ecore.EEnum getVerticalAlignment()

Specified by:
  `getVerticalAlignment` in interface `AttributePackage`
Returns:
  the meta object for enum 'Vertical Alignment'.
See Also:
  - `VerticalAlignment`

### getActionTypeObject

public org.eclipse.emf.ecore.EDataType getActionTypeObject()

Specified by:
  `getActionTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Action Type Object'.
See Also:
  - `ActionType`

### getAnchorObject

public org.eclipse.emf.ecore.EDataType getAnchorObject()

Specified by:
  `getAnchorObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Anchor Object'.
See Also:
  - `Anchor`

### getAngleTypeObject

public org.eclipse.emf.ecore.EDataType getAngleTypeObject()

Specified by:
  `getAngleTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Angle Type Object'.
See Also:
  - `AngleType`

### getAxisTypeObject

public org.eclipse.emf.ecore.EDataType getAxisTypeObject()

Specified by:
  `getAxisTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Axis Type Object'.
See Also:
  - `AxisType`

### getChartDimensionObject

public org.eclipse.emf.ecore.EDataType getChartDimensionObject()

Specified by:
  `getChartDimensionObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Chart Dimension Object'.
See Also:
  - `ChartDimension`

### getAxisType

public org.eclipse.emf.ecore.EEnum getAxisType()

Specified by:
  `getAxisType` in interface `AttributePackage`
Returns:
  the meta object for enum 'Axis Type'.
See Also:
  - `AxisType`

### getChartDimension

public org.eclipse.emf.ecore.EEnum getChartDimension()

Specified by:
  `getChartDimension` in interface `AttributePackage`
Returns:
  the meta object for enum 'Chart Dimension'.
See Also:
  - `ChartDimension`

### getChartTypeObject

public org.eclipse.emf.ecore.EDataType getChartTypeObject()

Specified by:
  `getChartTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Chart Type Object'.
See Also:
  - `ChartType`

### getCursorTypeObject

public org.eclipse.emf.ecore.EDataType getCursorTypeObject()

Specified by:
  `getCursorTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Cursor Type Object'.
See Also:
  - `CursorType`

### getDataPointComponentTypeObject

public org.eclipse.emf.ecore.EDataType getDataPointComponentTypeObject()

Specified by:
  `getDataPointComponentTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Data Point Component Type Object'.
See Also:
  - `DataPointComponentType`

### getDataTypeObject

public org.eclipse.emf.ecore.EDataType getDataTypeObject()

Specified by:
  `getDataTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Data Type Object'.
See Also:
  - `DataType`

### getDateFormatDetailObject

public org.eclipse.emf.ecore.EDataType getDateFormatDetailObject()

Specified by:
  `getDateFormatDetailObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Date Format Detail Object'.
See Also:
  - `DateFormatDetail`

### getDateFormatTypeObject

public org.eclipse.emf.ecore.EDataType getDateFormatTypeObject()

Specified by:
  `getDateFormatTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Date Format Type Object'.
See Also:
  - `DateFormatType`

### getDirectionObject

public org.eclipse.emf.ecore.EDataType getDirectionObject()

Specified by:
  `getDirectionObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Direction Object'.
See Also:
  - `Direction`

### getGroupingUnitTypeObject

public org.eclipse.emf.ecore.EDataType getGroupingUnitTypeObject()

Specified by:
  `getGroupingUnitTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Grouping Unit Type Object'.
See Also:
  - `GroupingUnitType`

### getHorizontalAlignmentObject

public org.eclipse.emf.ecore.EDataType getHorizontalAlignmentObject()

Specified by:
  `getHorizontalAlignmentObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Horizontal Alignment Object'.
See Also:
  - `HorizontalAlignment`

### getID

public org.eclipse.emf.ecore.EDataType getID()

Specified by:
  `getID` in interface `AttributePackage`
Returns:
  the meta object for data type 'ID'.
See Also:
  - `String`

### getImageSourceTypeObject

public org.eclipse.emf.ecore.EDataType getImageSourceTypeObject()

Specified by:
  `getImageSourceTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Image Source Type Object'.
See Also:
  - `ImageSourceType`

### getIntersectionTypeObject

public org.eclipse.emf.ecore.EDataType getIntersectionTypeObject()

Specified by:
  `getIntersectionTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Intersection Type Object'.
See Also:
  - `IntersectionType`

### getLeaderLineStyleObject

public org.eclipse.emf.ecore.EDataType getLeaderLineStyleObject()

Specified by:
  `getLeaderLineStyleObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Leader Line Style Object'.
See Also:
  - `LeaderLineStyle`

### getLegendBehaviorTypeObject

public org.eclipse.emf.ecore.EDataType getLegendBehaviorTypeObject()

Specified by:
  `getLegendBehaviorTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Legend Behavior Type Object'.
See Also:
  - `LegendBehaviorType`

### getLegendItemTypeObject

public org.eclipse.emf.ecore.EDataType getLegendItemTypeObject()

Specified by:
  `getLegendItemTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Legend Item Type Object'.
See Also:
  - `LegendItemType`

### getLineDecoratorObject

public org.eclipse.emf.ecore.EDataType getLineDecoratorObject()

Specified by:
  `getLineDecoratorObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Line Decorator Object'.
See Also:
  - `LineDecorator`

### getLineStyleObject

public org.eclipse.emf.ecore.EDataType getLineStyleObject()

Specified by:
  `getLineStyleObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Line Style Object'.
See Also:
  - `LineStyle`

### getMarkerTypeObject

public org.eclipse.emf.ecore.EDataType getMarkerTypeObject()

Specified by:
  `getMarkerTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Marker Type Object'.
See Also:
  - `MarkerType`

### getMenuStylesKeyTypeObject

public org.eclipse.emf.ecore.EDataType getMenuStylesKeyTypeObject()

Specified by:
  `getMenuStylesKeyTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Menu Styles Key Type Object'.
See Also:
  - `MenuStylesKeyType`

### getOrientationObject

public org.eclipse.emf.ecore.EDataType getOrientationObject()

Specified by:
  `getOrientationObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Orientation Object'.
See Also:
  - `Orientation`

### getPatternBitmap

public org.eclipse.emf.ecore.EDataType getPatternBitmap()

Specified by:
  `getPatternBitmap` in interface `AttributePackage`
Returns:
  the meta object for data type 'Pattern Bitmap'.

### getPatternBitmapObject

public org.eclipse.emf.ecore.EDataType getPatternBitmapObject()

Specified by:
  `getPatternBitmapObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Pattern Bitmap Object'.
See Also:
  - `Long`

### getPercentage

public org.eclipse.emf.ecore.EDataType getPercentage()

Specified by:
  `getPercentage` in interface `AttributePackage`
Returns:
  the meta object for data type 'Percentage'.

### getPercentageObject

public org.eclipse.emf.ecore.EDataType getPercentageObject()

Specified by:
  `getPercentageObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Percentage Object'.
See Also:
  - `Double`

### getPositionObject

public org.eclipse.emf.ecore.EDataType getPositionObject()

Specified by:
  `getPositionObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Position Object'.
See Also:
  - `Position`

### getRGBValue

public org.eclipse.emf.ecore.EDataType getRGBValue()

Specified by:
  `getRGBValue` in interface `AttributePackage`
Returns:
  the meta object for data type 'RGB Value'.

### getRGBValueObject

public org.eclipse.emf.ecore.EDataType getRGBValueObject()

Specified by:
  `getRGBValueObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'RGB Value Object'.
See Also:
  - `Integer`

### getRiserTypeObject

public org.eclipse.emf.ecore.EDataType getRiserTypeObject()

Specified by:
  `getRiserTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Riser Type Object'.
See Also:
  - `RiserType`

### getRuleTypeObject

public org.eclipse.emf.ecore.EDataType getRuleTypeObject()

Specified by:
  `getRuleTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Rule Type Object'.
See Also:
  - `RuleType`

### getScaleUnitTypeObject

public org.eclipse.emf.ecore.EDataType getScaleUnitTypeObject()

Specified by:
  `getScaleUnitTypeObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Scale Unit Type Object'.
See Also:
  - `ScaleUnitType`

### getSortOptionObject

public org.eclipse.emf.ecore.EDataType getSortOptionObject()

Specified by:
  `getSortOptionObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Sort Option Object'.
See Also:
  - `SortOption`

### getStretchObject

public org.eclipse.emf.ecore.EDataType getStretchObject()

Specified by:
  `getStretchObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Stretch Object'.
See Also:
  - `Stretch`

### getStyledComponentObject

public org.eclipse.emf.ecore.EDataType getStyledComponentObject()

Specified by:
  `getStyledComponentObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Styled Component Object'.
See Also:
  - `StyledComponent`

### getTickStyleObject

public org.eclipse.emf.ecore.EDataType getTickStyleObject()

Specified by:
  `getTickStyleObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Tick Style Object'.
See Also:
  - `TickStyle`

### getTriggerConditionObject

public org.eclipse.emf.ecore.EDataType getTriggerConditionObject()

Specified by:
  `getTriggerConditionObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Trigger Condition Object'.
See Also:
  - `TriggerCondition`

### getTriggerFlowObject

public org.eclipse.emf.ecore.EDataType getTriggerFlowObject()

Specified by:
  `getTriggerFlowObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Trigger Flow Object'.
See Also:
  - `TriggerFlow`

### getUnitsOfMeasurementObject

public org.eclipse.emf.ecore.EDataType getUnitsOfMeasurementObject()

Specified by:
  `getUnitsOfMeasurementObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Units Of Measurement Object'.
See Also:
  - `UnitsOfMeasurement`

### getVerticalAlignmentObject

public org.eclipse.emf.ecore.EDataType getVerticalAlignmentObject()

Specified by:
  `getVerticalAlignmentObject` in interface `AttributePackage`
Returns:
  the meta object for data type 'Vertical Alignment Object'.
See Also:
  - `VerticalAlignment`

### getAttributeFactory

public AttributeFactory getAttributeFactory()

Specified by:
  `getAttributeFactory` in interface `AttributePackage`
Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.